From 0b05b375a87d89f5d88e87d11956cf2ac15ea00f Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Tue, 16 Aug 2022 19:38:57 -0500
Subject: [PATCH 01/17] avoid shadow vars: pg_dump.c: i_oid

backpatch to v15

commit d498e052b4b84ae21b3b68d5b3fda6ead65d1d4d
Author: Robert Haas <rhaas@postgresql.org>
Date:   Fri Jul 8 10:15:19 2022 -0400

    Preserve relfilenode of pg_largeobject and its index across pg_upgrade.
---
 src/bin/pg_dump/pg_dump.c | 1 -
 1 file changed, 1 deletion(-)

diff --git a/src/bin/pg_dump/pg_dump.c b/src/bin/pg_dump/pg_dump.c
index da6605175a0..322947c5609 100644
--- a/src/bin/pg_dump/pg_dump.c
+++ b/src/bin/pg_dump/pg_dump.c
@@ -3144,7 +3144,6 @@ dumpDatabase(Archive *fout)
 		PQExpBuffer loHorizonQry = createPQExpBuffer();
 		int			i_relfrozenxid,
 					i_relfilenode,
-					i_oid,
 					i_relminmxid;
 
 		/*
-- 
2.17.1

